Subject: [bug#57963] [PATCH v4 1/2] home-services: Add base.

From: [email-masked]
Date: Fri, 30 Sep 2022 20:21:50 +0200

Am Freitag, dem 30.09.2022 um 00:09 +0900 schrieb Taiju HIGASHI:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Donnerstag, dem 29.09.2022 um 23:36 +0900 schrieb Taiju HIGASHI:
> > > * gnu/home.scm: Move home-fontconfig-service-type from
> > > home-environment-default-essential-services to %home-base-
> > > services.
> > Unless there is a precedent in system, I would make all the
> > currently
> > "essential" services %home-base-services perhaps move their code
> > accordingly.
> 
> I thought it was only for home-fontconfig-service.  Does that mean
> delete "essential" services and move everything to %home-base-
> services?
I'd double-check with Andrew, but my personal opinion is "yes".

> > > * gnu/home/services/base.scm: Add base.
> > Should be "New file."  Also should probably be the first item in
> > the
> > ChangeLog, so that other items can mention it.
> 
> I understood that "Add base" should be "New file", but I didn't
> understand the second part.  I apologize for my lack of
> understanding.
It means put the * gnu/home/services/base.scm entry before the *
gnu/home.scm one, so that you can mention the former in the latter.

Cheers